nxt.http.callers

## Class GetCoinExchangeOrderCall

- java.lang.Object
- - nxt.http.APICall.Builder<GetCoinExchangeOrderCall>
  - - nxt.http.callers.GetCoinExchangeOrderCall

-     public class GetCoinExchangeOrderCall
      extends APICall.Builder<GetCoinExchangeOrderCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GetCoinExchangeOrderCall` | `create()`
    `GetCoinExchangeOrderCall` | `order(long order)`
    `GetCoinExchangeOrderCall` | `order(java.lang.String order)`
    `GetCoinExchangeOrderCall` | `requireBlock(java.lang.String requireBlock)`
    `GetCoinExchangeOrderCall` | `requireLastBlock(java.lang.String requireLastBlock)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, feeNQT, feeRateNQTPerFXT, getBlock, getBlocks, getChain, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, recipient, recipient, remote, secretPhrase, setParamValidation, sharedPiece, sharedPieceAccount, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static GetCoinExchangeOrderCall create()

    - #### requireLastBlock

          public GetCoinExchangeOrderCall requireLastBlock(java.lang.String requireLastBlock)

    - #### requireBlock

          public GetCoinExchangeOrderCall requireBlock(java.lang.String requireBlock)

    - #### order

          public GetCoinExchangeOrderCall order(java.lang.String order)

    - #### order

          public GetCoinExchangeOrderCall order(long order)